package cn.breeze.elleai.application.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class HotQaDto implements Serializable {

    private Integer id;

    /**
     * 问题
     */
    @Schema(description = "问题")
    private String question;

    /**
     * 答案
     */
    @Schema(description = "答案")
    private String answer;

    @Schema(description = "助手ID")
    private Integer assistantId;

    @Schema(description = "助手名称")
    private String assistantName;

    /**
     * 排序优先级
     */
    @Schema(description = "排序优先级")
    @JsonProperty("sort_index")
    private Integer sortIndex;

    /**
     * 状态（0禁用 1启用）
     */
    @Schema(description = "状态")
    private Integer status;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @JsonProperty("create_time")
    private Date createTime;
}
