package cn.breeze.elleai.application.dto.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class UserAskResultMobileDto implements Serializable {

    @Schema(description = "会话记录ID，后续用户提问需传此ID")
    @JsonProperty("chat_completion_id")
    private Integer chatCompletionId;


    @Schema(description = "AI回复内容")
    @JsonProperty("reply_content")
    private String replyContent;

    @Schema(description = "消息ID")
    @JsonProperty("message_id")
    private Integer messageId;

    @Schema(description = "热门推荐问题")
    @JsonProperty("hots")
    private List<HotQaMobileDto> hots;

    @Schema(description = "参考答案")
    @JsonProperty("references")
    private List<String> references;

}
