package cn.breeze.elleai.application.dto.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class WikiDto implements Serializable {

    @Schema(description = "资料ID")
    private Integer id;

    /**
     * 资料名称
     */
    @Schema(description = "资料名称")
    private String name;

    /**
     * 资料描述
     */
    @Schema(description = "资料描述")
    private String description;

    /**
     * 资料海报图
     */
    @Schema(description = "海报图")
    private String poster;

    /**
     * 资料文件URL
     */
    @Schema(description = "资料文件URL")
    @JsonProperty("file_url")
    private String fileUrl;

    /**
     * 资料分类ID
     */
    @Schema(description = "资料分类ID")
    @JsonProperty("wiki_category_id")
    private Integer wikiCategoryId;

    /**
     * 资料分类ID
     */
    @Schema(description = "资料分类ID列表（[1级父级ID,2级父级ID,当前分类ID]或者[1级父级ID,当前分类ID])")
    @JsonProperty("wiki_category_id_list")
    private List<Integer> wikiCategoryIdList;
    /**
     * 资料分类名称
     */
    @Schema(description = "资料分类名称")
    @JsonProperty("wiki_category_name")
    private String wikiCategoryName;

    /**
     * 场景分类ID
     */
    @Schema(description = "场景分类ID")
    @JsonProperty("scene_category_id")
    private Integer sceneCategoryId;

    /**
     * 场景分类名称
     */
    @Schema(description = "场景分类名称")
    @JsonProperty("scene_category_name")
    private String sceneCategoryName;

    /**
     * 富文本详情
     */
    @Schema(description = "富文本详情")
    private String detail;

    /**
     * 状态（0禁用 1启用）
     */
    @Schema(description = "状态（0禁用 1启用）")
    private Integer status;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @JsonProperty("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @Schema(description = "update_time")
    @JsonProperty("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updateTime;
}
