package cn.breeze.elleai.domain.sparring.service;

import cn.breeze.elleai.application.dto.request.CommonRequestDto;
import cn.breeze.elleai.domain.sparring.model.CommonRequestModel;
import cn.breeze.elleai.domain.sparring.model.request.*;
import cn.breeze.elleai.domain.sparring.model.response.HotQaResponseModel;
import cn.breeze.elleai.domain.sparring.model.response.QaAssistantResponseModel;
import cn.breeze.elleai.domain.sparring.model.response.UserChatCompletionHistoryResponseModel;
import cn.breeze.elleai.domain.sparring.model.response.UserChatCompletionResponseModel;
import com.mybatisflex.core.paginate.Page;

import java.util.List;
import java.util.Set;

public interface ChatCompletionService {

    /***************************************** AI问答 *****************************************/
    Page<UserChatCompletionResponseModel> userQaPaginQuery(UserQaRequestModel request);

    Page<UserChatCompletionHistoryResponseModel> userQaHistoryPaginQuery(UserQaHistoryRequestModel request);

    List<UserChatCompletionResponseModel> userQaList(UserQaRequestModel request);

    List<UserChatCompletionHistoryResponseModel> userQaHistoryDetail(Integer chatCompletionId);

    UserChatCompletionHistoryResponseModel getReplyMessageByUserMessageId(Integer userMessageId);

    Page<UserChatCompletionHistoryResponseModel> userQaHistoryDetailPaginQuery(Integer chatCompletionId, Integer pageNo, Integer pageSize);

    UserChatCompletionResponseModel userQaDetail(UserQaRequestModel request);

    Integer saveUserQaSession(UserChatCompletionSaveModel dto);

    Integer saveUserQaRecord(Integer chatCompletionId, Integer type, Integer replyMessageId, String content, Integer assistantId, String recordId);

    Integer saveUserQaRecord(UserQaHistorySaveModel dto);

    /***************************************** AI助手 *****************************************/
    Page<QaAssistantResponseModel> qaAssistantPaginQuery(QaAssistantRequestModel request);

    List<QaAssistantResponseModel> qaAssistantList(QaAssistantRequestModel request);

    QaAssistantResponseModel qaAssistantDetail(Integer id);

    void updateQaAssistantStatus(Integer id, Integer status);

    void deleteQaAssistant(Integer id);

    void saveQaAssistant(QaAssistantSaveModel dto);

    /***************************************** 热门问题 *****************************************/
    Page<HotQaResponseModel> hotQaPaginQuery(HotQaRequestModel request);

    List<HotQaResponseModel> hotQaList(HotQaRequestModel request);

    HotQaResponseModel hotQaDetail(Integer id);

    void updateHotQaStatus(Integer id, Integer status);

    void deleteHotQa(Integer id);

    void saveHotQa(HotQaSaveModel dto);

    List<QaAssistantResponseModel> qaAssistantListByIds(Set<Integer> assistantIds);
}
