package cn.breeze.elleai.domain.sparring.service;

import cn.breeze.elleai.domain.sparring.model.request.KbVectorRequestModel;
import cn.breeze.elleai.domain.sparring.model.request.KbVectorSaveModel;
import cn.breeze.elleai.domain.sparring.model.response.KbVectorResponseModel;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import cn.breeze.elleai.infra.entity.KbVectorEntity;

import java.util.List;

/**
 *  服务层。
 *
 * @author breeze
 * @since 2024-10-21
 */
public interface KbVectorService extends IService<KbVectorEntity> {

    /***************************************** 知识库集合 *****************************************/
    Page<KbVectorResponseModel> kbVectorPaginQuery(KbVectorRequestModel request);

    List<KbVectorResponseModel> kbVectorList(KbVectorRequestModel request);

    KbVectorResponseModel kbVectorDetail(Integer kbId);

    void deleteKbVector(Integer kbId);

    void saveKbVector(KbVectorSaveModel dto);

    void batchSaveKbVector(List<KbVectorSaveModel> list);

}
