package cn.breeze.elleai.facade;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.ArrayUtil;
import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.lke.v20231130.LkeClient;
import com.tencentcloudapi.lke.v20231130.models.*;
import jakarta.annotation.PostConstruct;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Slf4j
public class TencentCloudFacade {

    @Value("${deepseek.app_id}")
    private String dsAppId;

    private LkeClient lkeClient;


    @PostConstruct
    protected void init() {
        Credential credential = new Credential("AKIDCHBybDvUqxrcCXjxFc4pVzIQeyMcicLq", "OdgU5TsLqP3kTD0mOn164vcDpR3jKiZT");
        lkeClient = new LkeClient(credential, "ap-guangzhou");
    }


    /**
     * 踩
     * @param recordId
     */
    public void dissMessage(String botAppKey,  String recordId) throws TencentCloudSDKException {
        RateMsgRecordRequest request = new RateMsgRecordRequest();
        request.setBotAppKey(botAppKey);
        request.setRecordId(recordId);
        request.setScore(2L);
        request.setSkipSign(false);
        RateMsgRecordResponse response =  lkeClient.RateMsgRecord(request);
        log.info("dissMessage response:{}", response.getRequestId());
    }

    public List<String> getKbSegment(List<String> segmentIds) throws TencentCloudSDKException {
        DescribeSegmentsRequest request = new DescribeSegmentsRequest();
        request.setBotBizId(dsAppId);
        request.setSegBizId(ArrayUtil.toArray(segmentIds, String.class));
        DescribeSegmentsResponse response = lkeClient.DescribeSegments(request);
        List<String> references = CollUtil.newArrayList();
        if (ArrayUtil.isNotEmpty(response.getList())) {
            for (DocSegment docSegment : response.getList()) {
                StringBuilder sb = new StringBuilder();
                sb.append(docSegment.getTitle());
                sb.append("\n");
                sb.append(docSegment.getPageContent());
                references.add(sb.toString());
            }
        }
        return references;
    }

}
