package cn.breeze.elleai.infra.entity;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 *  实体类。
 *
 * @author breeze
 * @since 2024-09-18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table("ai_examine_evaluate_job")
public class ExamineEvaluateJobEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @Id(keyType = KeyType.Auto)
    private Integer id;

    /**
     * 业务ID（单题点评为详情记录ID，总点评为考试记录ID）
     */
    private Integer businessId;

    /**
     * 考试流水号
     */
    private String businessNo;

    /**
     * 类型（0单题点评 1总点评）
     */
    private Integer type;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 状态（0待执行 1执行成功）
     */
    private Integer status;

    /**
     * 执行失败原因
     */
    private String failReason;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
