package cn.breeze.elleai.infra.entity;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import java.io.Serializable;
import java.util.Date;

import java.io.Serial;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *  实体类。
 *
 * @author breeze
 * @since 2024-09-18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table("ai_qa_assistant")
public class QaAssistantEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @Id(keyType = KeyType.Auto)
    private Integer id;

    /**
     * 助手名称
     */
    private String name;

    /**
     * 助手描述
     */
    private String description;

    /**
     * 助手图标
     */
    private String iconUrl;

    /**
     * 知识库分类ID列表
     */
    private String categoryIds;

    /**
     * 可见角色列表
     */
    private String visibleRoleIds;

    /**
     * 状态（0禁用 1启用）
     */
    private Integer status;

    /**
     * 检索范围（0内部知识库 1全网）
     */
    private Integer searchScope;

    /**
     * 是否删除（0否 1是）
     */
    private Integer deleted;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
