package cn.breeze.elleai.infra.entity.table;

import com.mybatisflex.core.query.QueryColumn;
import com.mybatisflex.core.table.TableDef;

import java.io.Serial;

/**
 *  表定义层。
 *
 * @author breeze
 * @since 2024-11-04
 */
public class HotQaTableDef extends TableDef {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    public static final HotQaTableDef HOT_QA_ENTITY = new HotQaTableDef();


    public final QueryColumn ID = new QueryColumn(this, "id");

    /**
     * 问题
     */
    public final QueryColumn QUESTION = new QueryColumn(this, "question");

    /**
     * 答案
     */
    public final QueryColumn ANSWER = new QueryColumn(this, "answer");

    /**
     * 助手ID
     */
    public final QueryColumn ASSISTANT_ID = new QueryColumn(this, "assistant_id");

    /**
     * 排序优先级
     */
    public final QueryColumn SORT_INDEX = new QueryColumn(this, "sort_index");

    /**
     * 状态（0禁用 1启用）
     */
    public final QueryColumn STATUS = new QueryColumn(this, "status");

    /**
     * 是否删除（0否 1是）
     */
    public final QueryColumn DELETED = new QueryColumn(this, "deleted");

    /**
     * 创建时间
     */
    public final QueryColumn CREATE_TIME = new QueryColumn(this, "create_time");

    /**
     * 所有字段。
     */
    public final QueryColumn ALL_COLUMNS = new QueryColumn(this, "*");

    /**
     * 默认字段，不包含逻辑删除或者 large 等字段。
     */
    public final QueryColumn[] DEFAULT_COLUMNS = new QueryColumn[]{ID, QUESTION, ANSWER,ASSISTANT_ID, SORT_INDEX, STATUS, DELETED, CREATE_TIME};

    public HotQaTableDef() {
        super("", "ai_hot_qa");
    }

    private HotQaTableDef(String schema, String name, String alisa) {
        super(schema, name, alisa);
    }

    public HotQaTableDef as(String alias) {
        String key = getNameWithSchema() + "." + alias;
        return getCache(key, k -> new HotQaTableDef("", "ai_hot_qa", alias));
    }

}
